# Accept quote

Accept a quote from liquidity providers that you requested ([Request quote](#rfsrfq/quoterequest)).

Endpoint: POST /v2/rfs/{requestId}
Version: 1.0.1
Security: SSO_TOKEN

## Path parameters:

  - `requestId` (string, required)
    Request ID assigned by Integral. Returned in `requestId` of the response to [Request quote](#operation/quoteRequest).

## Request fields (application/json):

  - `quoteId` (string, required)
    Quote ID from one of the quotes received in response to a Query Request.

  - `side` (string, required)
    `BUY` or `SELL` from the requester's perspective and always for the dealt currency. For multi-leg requests this is the side of far leg.
    Example: BUY

  - `symbol` (string, required)
    Base and term currency separated by a slash `/` (for example `EUR/USD`).

  - `dealtCurrency` (string, required)
    Dealt currency.

  - `transactionId` (string)
    Request transaction ID assigned by Integral from the quote you are accepting.
Required for quote acceptance in the RFQ workflow ([rfq](#rfsrfq/quoterequest/t=request&path=rfq)=`true` on your request [Request quote](#rfsrfq/quoterequest)).

  - `clOrderId` (string, required)
    Originating RFS ID assigned by you.

  - `rfq` (boolean)
    Quote workflow of your request.
Required for quote acceptance in the RFQ workflow ([rfq](#rfsrfq/quoterequest/t=request&path=rfq)=`true` on your request [Request quote](#rfsrfq/quoterequest)).
* `false` or not included=RFS workflow
* `true`=RFQ workflow.

